package algorithms.graphColorer.reoptimizer;

import algorithms.graphColorer.Colorer;
import dataStructures.graph.ExtendedUndirectedGraph;
import dataStructures.graph.GraphColoring;

public abstract class ColoringReoptimizer<V, E> implements Colorer<V, E>
{
	protected GraphColoring<V, E> coloring;

	protected final ExtendedUndirectedGraph<V, E> graph;

	public ColoringReoptimizer(ExtendedUndirectedGraph<V, E> graph2, GraphColoring<V, E> iniColoring)
	{
		this.graph = graph2;
		this.coloring = iniColoring;
	}
}